<?xml version="1.0" encoding="utf-8"?>
<androidx.coordinatorlayout.widget.CoordinatorLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".ofrezco.aceptarSuscripcion"
    android:fitsSystemWindows="true"
    android:background="@drawable/fondo">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:layout_margin="20dp"
        android:gravity="center">

        <LinearLayout
            style="@style/layoutText">

            <com.google.android.material.textfield.TextInputLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="5dp"
                android:textColorHint="@color/colorBlanco">

                <com.google.android.material.textfield.TextInputEditText
                    android:id="@+id/inputNombreUsuario"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="CVC"
                    android:inputType="numberPassword"
                    android:textColor="@color/colorBlanco">

                </com.google.android.material.textfield.TextInputEditText>

            </com.google.android.material.textfield.TextInputLayout>

        </LinearLayout>

        <androidx.cardview.widget.CardView
            android:layout_width="300dp"
            android:layout_height="178dp"
            android:elevation="5dp"
            app:cardCornerRadius="8dp"
            android:background="@color/colorBlanco"
            android:layout_marginTop="50dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <ImageView
                    android:id="@+id/imageView"
                    android:layout_width="match_parent"
                    android:layout_height="50dp"
                    android:layout_marginTop="37dp"
                    android:src="@drawable/franja_negra"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

                <TextView
                    android:id="@+id/tvTarjeta"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="5dp"
                    android:layout_marginTop="8dp"
                    android:fontFamily="serif"
                    android:text="****"
                    android:textSize="20sp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintHorizontal_bias="0.082"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toBottomOf="@+id/imageView" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginEnd="16dp"
                    android:layout_marginBottom="24dp"
                    android:text="BANCO"
                    android:textSize="15sp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent" />

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>

        <Button
            android:id="@+id/btnAceptarPago"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:background="@drawable/boton_redondeado"
            android:backgroundTint="@color/colorBlanco"
            android:text="ACEPTAR"
            android:textSize="20sp"
            android:layout_margin="20dp"/>

    </LinearLayout>

</androidx.coordinatorlayout.widget.CoordinatorLayout>